# Create a role Creates a new role of the given type with an initial set of permissions. Request: name - Display name for the role. roleType - Whether this is a USER_ROLE (assigned to individual users) or a GROUP_ROLE (assigned to user groups). description - Description of what this role grants. permissionIds - Non-empty list of permission IDs to associate with the role. Response: id - Assigned role ID. name - Role display name. roleType - The role type. description - Role description. permissionIds - List of permission IDs associated with the role. Endpoint: POST /api/v1/role/create-role Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `name` (string) Rule data fields - `roleType` (integer) Enum: 0, 1 - `description` (string) Rule data fields - `permissionIds` (array) ## Response 200 fields (application/json): - `id` (string) Rule data fields - `name` (string) Rule data fields - `roleType` (integer) Enum: 0, 1 - `description` (string) Rule data fields - `permissionIds` (array) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)